Package org.apache.sysds.hops.estim

## Class EstimatorBitsetMM.BitsetMatrix2

- java.lang.Object
- - org.apache.sysds.hops.estim.EstimatorBitsetMM.BitsetMatrix
  - - org.apache.sysds.hops.estim.EstimatorBitsetMM.BitsetMatrix2

- Enclosing class:
    EstimatorBitsetMM

      public static class EstimatorBitsetMM.BitsetMatrix2
      extends EstimatorBitsetMM.BitsetMatrix

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BitsetMatrix2​(int rlen, int clen)` |
    `BitsetMatrix2​(MatrixBlock in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EstimatorBitsetMM.BitsetMatrix` | `and​(EstimatorBitsetMM.BitsetMatrix bsb)` |
    `EstimatorBitsetMM.BitsetMatrix` | `flip()` |
    `boolean` | `get​(int r, int c)` |
    `EstimatorBitsetMM.BitsetMatrix` | `or​(EstimatorBitsetMM.BitsetMatrix bsb)` |
    `EstimatorBitsetMM.BitsetMatrix` | `rbind​(EstimatorBitsetMM.BitsetMatrix bsb)` |
    `void` | `set​(int r, int c)` |

    - ### Methods inherited from class org.apache.sysds.hops.estim.EstimatorBitsetMM.BitsetMatrix

      `getNonZeros, getNumColumns, getNumRows, matMult, transpose`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitsetMatrix2

          public BitsetMatrix2​(int rlen,
                               int clen)

    - #### BitsetMatrix2

          public BitsetMatrix2​(MatrixBlock in)

  - ### Method Detail

    - #### and

          public EstimatorBitsetMM.BitsetMatrix and​(EstimatorBitsetMM.BitsetMatrix bsb)

    - #### or

          public EstimatorBitsetMM.BitsetMatrix or​(EstimatorBitsetMM.BitsetMatrix bsb)

    - #### rbind

          public EstimatorBitsetMM.BitsetMatrix rbind​(EstimatorBitsetMM.BitsetMatrix bsb)

    - #### flip

          public EstimatorBitsetMM.BitsetMatrix flip()

    - #### get

          public boolean get​(int r,
                             int c)

      Specified by:
        `get` in class `EstimatorBitsetMM.BitsetMatrix`

    - #### set

          public void set​(int r,
                          int c)

      Specified by:
        `set` in class `EstimatorBitsetMM.BitsetMatrix`